Skip to main content
GET
/
api
/
military
/
v1
/
get-wingbits-live-flight
GetWingbitsLiveFlight
curl --request GET \
  --url https://api.example.com/api/military/v1/get-wingbits-live-flight
{
  "flight": {
    "icao24": "<string>",
    "callsign": "<string>",
    "lat": 123,
    "lon": 123,
    "altitude": 123,
    "speed": 123,
    "heading": 123,
    "verticalRate": 123,
    "registration": "<string>",
    "model": "<string>",
    "operator": "<string>",
    "onGround": true,
    "lastSeen": "<string>"
  }
}

Query Parameters

icao24
string

ICAO 24-bit hex address (lowercase, 6 characters).

Response

Successful response

GetWingbitsLiveFlightResponse contains the live flight data, if available.

flight
object

WingbitsLiveFlight contains real-time flight position data from the Wingbits ECS network.